Subject: Re: bug#64174: 30.0.50; Emacs for Android: support tool-bar-position frame parameter
From: Po Lu <[email-masked]>
To: Ant <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Jun 2023 20:42:16 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When replying to bug reports, please retain the bug tracker in the Cc
list, to ensure that it is able to record your responses.  Thanks.

Ant <[email-masked]> writes:

> On 21/06/23 05:28, Po Lu wrote:
>> Po Lu <[email-masked]> writes:
>>
>>> Ant <[email-masked]> writes:
>>>
>>>> I know that the Android native build of Emacs is still in an early
>>>> stage. I just want to address this little feature request since I
>>>> believe that allowing the tool-bar to be on bottom position would be
>>>> useful on small touch screen devices, since it would be easier for the
>>>> thumbs to reach those buttons.
>>>>
>>>> Currently, if I evaluate the following expression on Emacs for Android:
>>>>
>>>> (set-frame-parameter nil 'tool-bar-position 'bottom)
>>>>
>>>> nothing happens.
>>>>
>>>> Thank you in advance
>>> Thanks.  This isn't specific to the Android port: we use the generic
>>> internal tool bar code used outside NS and GTK, which doesn't support
>>> tool-bar-position.
>>>
>>> I will look into this.
>> I've now implemented this.
>>
>> Ant, would you please try and see whether or not it works
>> satisfactorily?
>
> It works like a charm, thank you!

Thanks.  I'm closing this bug.